# eric4.Plugins.VcsPlugins.vcsSubversion.SvnPropListDialog

Module implementing a dialog to show the output of the svn proplist command process.

### Global Attributes

None

### Classes

SvnPropListDialog | Class implementing a dialog to show the output of the svn proplist command process.

### Functions

None

## SvnPropListDialog

Class implementing a dialog to show the output of the svn proplist command process.

### Derived from

QWidget, Ui_SvnPropListDialog

### Class Attributes

None

### Methods

SvnPropListDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a properties item in the properties list.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
closeEvent | Private slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
start | Public slot to start the svn status command.

#### SvnPropListDialog (Constructor)

SvnPropListDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnPropListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### SvnPropListDialog.__generateItem

__generateItem(path, propName, propValue)

Private method to generate a properties item in the properties list.

path
  file/directory name the property applies to (string or QString)
propName
  name of the property (string or QString)
propValue
  value of the property (string or QString)

#### SvnPropListDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### SvnPropListDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### SvnPropListDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### SvnPropListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### SvnPropListDialog.__resort

__resort()

Private method to resort the tree.

#### SvnPropListDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  close event (QCloseEvent)

#### SvnPropListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnPropListDialog.start

start(fn, recursive = False)

Public slot to start the svn status command.

fn
  filename(s) (string or list of string)
recursive
  flag indicating a recursive list is requested

Up